Get account balance for a company
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/banking/balance \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/banking/balance"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/banking/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_id": "123e4567-e89b-12d3-a456-426614174000",
"provider": "CELCOIN",
"balance": 5300,
"blocked_balance": 100,
"total_balance": 5400,
"currency": "BRL"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTEGRATION_ERROR",
"message": "Integration error with provider CELCOIN",
"status": 502,
"path": "/merchants/{merchantId}/balance",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"details": {}
}
}Company Banking
Get account balance for a company
Retrieves the current company account balance in cents for a specific provider. Requires an active affiliation with the specified provider. Requires the banking.view permission.
GET
/
v1
/
banking
/
balance
Get account balance for a company
Authorizations
Company API key for authentication
Query Parameters
Banking provider name (accepts lowercase and uppercase, returns uppercase, defaults to CELCOIN)
Available options:
CELCOIN, RINNE, CAPPTA Pay organization's own PIX or BOLEPIX transaction via QR code (Sandbox Only)Add balance to organization bank account (Sandbox Only)
⌘I

